This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 437725 - Apps using Xvideo cause X server to crash
Apps using Xvideo cause X server to crash
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-16 19:35 EDT by Andy Burns
Modified: 2009-01-09 02:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:43:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Full Xorg log file (50.17 KB, text/plain)
2008-03-16 19:35 EDT, Andy Burns
no flags Details

  None (edit)
Description Andy Burns 2008-03-16 19:35:45 EDT
Description of problem:

When using apps such as mplayer or mythtv the X server crashes

Backtrace:
0: /usr/bin/X(xf86SigHandler+0x6d) [0x47fe2d]
1: /lib64/libc.so.6 [0x3e8fc30f30]
2: /usr/bin/X(VidModeGetCurrentModeline+0x4e) [0x483f4e]
3: /usr/lib64/xorg/modules/extensions//libextmod.so [0x2aaaaad84eb4]
4: /usr/bin/X(Dispatch+0x1db) [0x44a54b]
5: /usr/bin/X(main+0x465) [0x4332b5]
6: /lib64/libc.so.6(__libc_start_main+0xf4) [0x3e8fc1e074]
7: /usr/bin/X(FontFileCompleteXLFD+0x259) [0x432579]

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg.x86_64              1.3.0.0-42.fc8
xorg-x11-drv-ati.x86_64                  6.8.0-1.fc8 

How reproducible:

100%

Steps to Reproduce:
1. mplayer /path/to/file.mpeg
Comment 1 Andy Burns 2008-03-16 19:35:45 EDT
Created attachment 298225 [details]
Full Xorg log file
Comment 2 Andy Burns 2008-03-16 19:45:15 EDT
Searching for the symbols in the backtrace I find someone else has had the same
issue

http://pastebin.com/f2cec15a1
Comment 3 Andy Burns 2008-03-19 12:26:10 EDT
Just to mention in the course of verifying whether rhbz#437700 is fixed in
upstream latest git, I can confirm that this bug *is* fixed in git.

Comment 4 Andy Burns 2008-03-19 13:04:34 EDT
Correction, it can still crash even with the latest git version, but depends on
the modeline whether it crashes or works.

Comment 5 Bug Zapper 2008-11-26 05:11:12 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 02:43:56 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.